rte_ipsec_group(3)

NAME
rte_ipsec_group

SYNOPSIS

#include <rte_ipsec_group.h>

  Data Fields

union {
} id
struct rte_mbuf ** m
uint32_t cnt
int32_t rc

Detailed Description

Used to group mbufs by some id. See below for particular usage.

Definition at line 27 of file rte_ipsec_group.h.

Field Documentation

  union { ... } id
grouped by value

  struct rte_mbuf** m
start of the group

Definition at line 32 of file rte_ipsec_group.h.

  uint32_t cnt
number of entries in the group

Definition at line 33 of file rte_ipsec_group.h.

  int32_t rc
status code associated with the group

Definition at line 34 of file rte_ipsec_group.h.

Author

Generated automatically by Doxygen for DPDK from the source code.